com.unitech.lib.transport.types

## Enum ConnectState

- java.lang.Object
- - java.lang.Enum<ConnectState>
  - - com.unitech.lib.transport.types.ConnectState

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<ConnectState>

      public enum ConnectState
      extends java.lang.Enum<ConnectState>
      implements IEnumType

  The ConnectState enumeration indicates the connection status of the BaseTransport instance.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Connected`
    `Connecting`
    `Disconnected`
    `Listen`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()` Get the enum code value
    `java.lang.String` | `toString()` Return the name of the enum
    `static ConnectState` | `valueOf(int code)` Returns the enum constant of this type with the specified code.
    `static ConnectState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ConnectState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Disconnected

          public static final ConnectState Disconnected

    - #### Listen

          public static final ConnectState Listen

    - #### Connecting

          public static final ConnectState Connecting

    - #### Connected

          public static final ConnectState Connected

  - ### Method Detail

    - #### values

          public static ConnectState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConnectState c : ConnectState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConnectState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Description copied from interface: `IEnumType`
      Get the enum code value
      Specified by:
        `getCode` in interface `IEnumType`
      Returns:
        The code value

    - #### toString

          public java.lang.String toString()

      Description copied from interface: `IEnumType`
      Return the name of the enum
      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<ConnectState>`
      Returns:
        The name of the enum

    - #### valueOf

          public static ConnectState valueOf(int code)

      Returns the enum constant of this type with the specified code.
      Parameters:
        `code` - The code to check
      Returns:
        The enum constant with the specified code